package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Dagger;
import org.project.item.weapons.Weapon;

public class Goblin extends Enemy{

    private static int maxHP = 65;
    private int hp = maxHP;
    private int criticalHit_damage = 20;

    public Goblin(){
        Weapon goblinWeapon = new Dagger();
        super(maxHP, goblinWeapon);
    }

    @Override
    public void SpecialAbility(Entity target) {
        target.takeDamage(criticalHit_damage);
    }

    @Override
    public void heal(int health) {
        hp += health;
        if (hp > maxHP) {
            hp = maxHP;
        }
    }

    public int getMaxHP() {
        return maxHP;
    }

    public String getName(){
        return "Goblin";
    }

}